package net.p0f.samples.rhpam_fuse_integration.rules;

import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

import net.p0f.samples.rhpam_fuse_integration.shared_dom.Customer;

public class SimpleMatch {

	public static void main(String[] args) {
		// Ask for a ClasspathContainer (locally bundled assets)
		KieContainer c = KieServices.Factory.get().getKieClasspathContainer();
		
		// Ask for a named Knowledge Base only containing the simple rules
		// (configured in META-INF/kmodule.xml)
		KieSession s = c.getKieBase("simple").newKieSession();

		Customer c1 = new Customer();
		c1.setName("John Doe");
		c1.setAge(27);
		c1.setLoyaltyLevel(Customer.GOLD);
		c1.setLoyaltyAge(10);
		c1.setMilesFlown(15000);

		Customer c2 = new Customer();
		c2.setName("Jane Doe");
		c2.setAge(35);
		c2.setLoyaltyLevel(Customer.PLATINUM);
		c2.setLoyaltyAge(10);

		// Insert the facts into working memory.
		s.insert(c1);
		s.insert(c2);
		
		// Let the rules fire.
		s.fireAllRules();
		
		// Clean up (destroy() is only relevant to persistent sessions).
		s.dispose();
	}

}
